public class Retangulo implements Figura {
	private Ponto cantoSupDir;
	private int altura, largura;
	public Retangulo(Ponto cantoSupDir, int altura, int largura) {
		this.cantoSupDir = cantoSupDir;
		this.altura = altura;
		this.largura = largura;
	}
	public Ponto getCanto() {
		return cantoSupDir;
	}
	public int getAltura() {
		return altura;
	}
	public int getLargura() {
		return largura;
	}
	public double area() {
		return 4;
	}
	public void draw() {
		System.out.println("Desenhando um retangulo");
	}
	public Ponto getPonto() {
		return cantoSupDir;
	}
}
